%define upstream_name WWW-Search-Yahoo
%define upstream_version 2.415

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13
License:	GPL or Artistic
Summary:	Backend for searching www.yahoo.com
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(I18N::Charset)
BuildArch:	noarch

%description
This class is a Yahoo specialization of WWW::Search. It handles
making and interpreting Yahoo searches https://www.yahoo.com.

This class exports no public interface; all interaction should
be done through WWW::Search objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl -I. Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# china is not responding and the tests take forever to finish...
#make test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/WWW
%{_mandir}/*/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.415.0-13.mga10
+ Revision: 2215945
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 2.415.0-12.mga9
+ Revision: 1901205
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.415.0-11.mga8
+ Revision: 1506967
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.415.0-10.mga7
+ Revision: 1287282
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.415.0-9.mga7
+ Revision: 1167399
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 2.415.0-8.mga7
+ Revision: 1157372
- fix build

* Sun Jun 19 2016 pterjan <pterjan> 2.415.0-7.mga6
+ Revision: 1035869
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 2.415.0-6.mga6
+ Revision: 934093
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.415-5.mga5
+ Revision: 747148
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.415-4.mga5
+ Revision: 686866
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.415-3.mga4
+ Revision: 515898
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.415-2.mga3
+ Revision: 374807
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 2.415-1.mga1
+ Revision: 36630
- mageia rebuild
- imported package perl-WWW-Search-Yahoo


* Sun May 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.415-1mdv2010.0
+ Revision: 371361
- update to new version 2.415

* Mon Jan 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.414-1mdv2009.1
+ Revision: 328532
- update to new version 2.414

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.413-2mdv2009.0
+ Revision: 268881
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.413-1mdv2009.0
+ Revision: 194965
- update to new version 2.413

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.411-1mdv2008.1
+ Revision: 178275
- update to new version 2.411

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 2.409-1mdv2008.0
+ Revision: 20710
- 2.409


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.405-2mdv2007.0
- Rebuild

* Wed May 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.405-1mdk
- new version
- fix source URL

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.404-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
	- BuildRequires

* Thu Nov 03 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.404-1mdk
- New release 2.404
- spec cleanup
- fix directory ownership

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.403-1mdk
- new version 
- fix sources url for rpmbuildupdate

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 2.399-1mdk
- initial Mandriva package

